Issue 26589

Summary: Add a change methode of linked pictures
Product: General Reporter: svenl <s.leiber>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Normal    
Priority: P3 CC: Armin.Le.Grand, elish, issues, mey.wer, petertrypsteen
Version: 680m30   
Target Milestone: AOO Later   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---
Attachments:
Description Flags
Screenshots and Concept of issue and solution to issue
none
Screenshots and Concept of issue and solution to issue none

Description svenl 2004-03-16 21:00:46 UTC
Hi! 
 
Can we add a selection into the graphics dialog to change a linked graphic in 
a document to a integrated or a integrated to a linked with one click. I hope 
you understand what I mean.  :) 
And I don't know this was the right place for this future request. 
 
Thanx for integrating this future.  :)
Comment 1 thorsten.martens 2004-03-17 08:35:49 UTC
TM->BH: Please have a look.
Comment 2 ace_dent 2008-05-16 02:10:17 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 eric.savary 2009-12-15 20:50:32 UTC
*** Issue 107705 has been marked as a duplicate of this issue. ***
Comment 4 meywer 2009-12-15 20:59:33 UTC
Version 3.1.1

Do Insert - Picture - From File
Dialog for inserting pictures openes.
Check or uncheck Checkbox „link“.
Select file and insert picture.

Later there is no possibility to either change from an inserted picture to a
linked one or vice versa.

Please add in the „Picture“-Dialog (select picture, then right click / context
menu - „picture“) in Tab „Picture“ beside the field „link ‒ file name“ a switch
„embed“ or „link“ which always works.
If switching away from embed, one has to give a files adress. If switching to
embed, the linked file will be included. Also it would be nice, if the picture
stored then in file.odt[zip]/Pictures wouldn't loose its name it had before...
This is annoying already now for embedded pictures. (I know - this should be
mentioned in another issue.)
Comment 5 bettina.haberer 2010-05-21 14:57:51 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 6 marwerno 2011-01-24 02:13:27 UTC
You can change a linked picture to a embedded picture by simply going to the 
menue "Edit" -> "Links..."
This will list all the links you have in the document. Highlight the ones you 
want to embed (Multiple selection possible with Shift or CTRL and click "Break 
links".
This will embed all the pictures
Comment 7 Edwin Sharp 2014-02-19 09:49:14 UTC
1) Insert - Picture - From File... - check Link
2) File - Save
If need to send file, Edit - Links... - Break Link is required.
right click picture - Break Link is more intuitive.
AOO410m1(Build:9750)  -  Rev. 1566800
2014-02-11_04:11:01 - Rev. 1566981
Debian
Comment 8 Armin Le Grand 2014-02-19 17:18:48 UTC
True, but we have a UI freeze for 4.1, so will have to be done after that. Grepping...
Comment 9 dudson 2014-02-21 19:56:56 UTC
Created attachment 82659 [details]
Screenshots and Concept of issue and solution to issue

Added attachment that shows concept of UI asked to implement Break Link Button in Picture dialogue, tab Picture.
And other things, including sample file with screen shot of source and image of current UI situation.
Comment 10 dudson 2014-03-03 11:40:54 UTC
Created attachment 82777 [details]
Screenshots and Concept of issue and solution to issue

New concept art contains better location for break link button.
Comment 11 dudson 2014-03-03 11:41:53 UTC
Break link button is now at the left and has more space between it and other buttons.
Comment 12 dudson 2014-03-03 11:43:24 UTC
In my previous comments I meant the concept art of the break link button not that the break link button is implemented as a patch.
Comment 13 Marcus 2017-05-20 10:44:10 UTC
Reset the assignee to the default "issues@openoffice.apache.org".